Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageVideoNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageVideoNote

Enclosing class:
  TdApi

public static final class TdApi.InputMessageVideoNote extends TdApi.InputMessageContent
A video note message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the video, in seconds.
`int`
`length`
Video width and height; must be positive and not greater than 640.
`TdApi.MessageSelfDestructType`
`selfDestructType`
Video note self-destruct type; may be null if none; pass null if none; private chats only.
`TdApi.InputThumbnail`
`thumbnail`
Video thumbnail; may be null if empty; pass null to skip thumbnail uploading.
`TdApi.InputFile`
`videoNote`
Video note to be sent.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageVideoNote()`
A video note message.
`InputMessageVideoNote(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length, TdApi.MessageSelfDestructType selfDestructType)`
A video note message.
`InputMessageVideoNote(DataInput input)`
A video note message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### videoNote

public TdApi.InputFile videoNote
Video note to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Video thumbnail; may be null if empty; pass null to skip thumbnail uploading.

### duration

public int duration
Duration of the video, in seconds.

### length

public int length
Video width and height; must be positive and not greater than 640.

### selfDestructType

public TdApi.MessageSelfDestructType selfDestructType
Video note self-destruct type; may be null if none; pass null if none; private chats only.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageVideoNote

public InputMessageVideoNote()
A video note message.

### InputMessageVideoNote

public InputMessageVideoNote(TdApi.InputFile videoNote, TdApi.InputThumbnail thumbnail, int duration, int length, TdApi.MessageSelfDestructType selfDestructType)
A video note message.

Parameters:
  `videoNote` - Video note to be sent.
  `thumbnail` - Video thumbnail; may be null if empty; pass null to skip thumbnail uploading.
  `duration` - Duration of the video, in seconds.
  `length` - Video width and height; must be positive and not greater than 640.
  `selfDestructType` - Video note self-destruct type; may be null if none; pass null if none; private chats only.

### InputMessageVideoNote

public InputMessageVideoNote(DataInput input) throws IOException
A video note message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`